 <!-- Q9 -->
<!DOCTYPE html>
<html>
  <head>
    <title>Cart Quantity</title>
  </head>
  <body>
    <button onclick="
      console.log(`Cart quantity: ${cartQuantity}`);
    ">Show Quantity</button>

    <button onclick="
      updateCartQuantity(1);
    ">Add to Cart</button>

    <button onclick="
      updateCartQuantity(2);
    ">+2</button>

    <button onclick="
      updateCartQuantity(3);
    ">+3</button>

    <button onclick="
      updateCartQuantity(4);
    ">+4</button>

    <button onclick="
      updateCartQuantity(5);
    ">+5</button>

    <button onclick="
      updateCartQuantity(-1);
    ">Remove from cart</button>

    <button onclick="
      updateCartQuantity(-2);
    ">-2</button>

    <button onclick="
      updateCartQuantity(-3);
    ">-3</button>

    <button onclick="
      cartQuantity = 0;
      localStorage.setItem('cartQuantity', cartQuantity);
      document.querySelector('#cartQuantity-js').innerHTML = `Cart quantity : ${localStorage.getItem('cartQuantity')}`;
      console.log('Cart was reset.');
      console.log(`Cart quantity: ${cartQuantity}`);
    ">Reset Cart</button>

    <p id="cartQuantity-js"></p>

    <script>
      let cartQuantity = 0;
      // localStorage.setItem("cartQuantity", cartQuantity)

      function updateCartQuantity(change) {
        if (cartQuantity + change > 10) {
          alert('The cart is full');
          return;
        }

        if (cartQuantity + change < 0) {
          alert('Not enough items in the cart');
          return;
        }

        cartQuantity += change;
        localStorage.setItem("cartQuantity", cartQuantity);
        document.querySelector('#cartQuantity-js').innerHTML = `Cart quantity : ${localStorage.getItem('cartQuantity')}`;
      }
      document.querySelector('#cartQuantity-js').innerHTML = `Cart quantity : ${localStorage.getItem('cartQuantity')}`
    </script>
  </body>
</html>